extends Node


signal pnt_data_received(source_ip: String, timestamp_list: Array, coordinates: Array, speed_kmh: float, dop: Array)
signal sat_data_received(source_ip: String, timestamp_list: Array, sat_count: Array, sat_position: Array)
signal accelerometer_data_received(source_ip: String, timestamp_list: Array, accel: Array, linear_accel: Array, g_accel: Array)
signal magnetometer_data_received(source_ip: String, timestamp_list: Array, mag_vec: Array)
